Bug 487432 - X server crashes/hangs with modesetting on Radeon 9600XT
X server crashes/hangs with modesetting on Radeon 9600XT
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 17:50 EST by Callum Lerwick
Modified: 2009-12-18 03:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:03:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log (161.48 KB, text/plain)
2009-02-25 17:50 EST, Callum Lerwick
no flags Details
F11 xorg log (72.89 KB, text/plain)
2009-05-03 13:26 EDT, Callum Lerwick
no flags Details

  None (edit)
Description Callum Lerwick 2009-02-25 17:50:11 EST
Created attachment 333251 [details]
Xorg log

Description of problem:
Hmmm, while browsing for WoW tips I stumbled upon a pop-up ad site that consistently crashes the X server. It's the only one I've found so far:

http://www.teamidemise.com/?hop=mmktggrp

Twice it crashed the X server when opened in my existing firefox session, load the page and suddenly you find yourself looking at the GDM login screen. Once I figured out what was going on I tried it in a fresh session, and it hung the server instead, mouse would move but server otherwise wedged. Keyboard not responsive, killing off the server remotely results in a screwed up console and the X server will not start back up again without hanging, no option but to reboot.

This is the exact same system as in #474977. Workaround is to disable modesetting, I've not had a single crash with modesetting disabled.

Version-Release number of selected component (if applicable):
kernel-2.6.27.12-170.2.5.fc10.x86_64
xorg-x11-drv-ati-6.10.0-2.fc10.x86_64
firefox-3.0.6-1.fc10.x86_64
xulrunner-1.9.0.6-1.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Open http://www.teamidemise.com/?hop=mmktggrp in Firefox

Actual results:
X server crashes or hangs.

Expected results:
Page loads normally
Comment 1 Matěj Cepl 2009-03-02 12:52:42 EST
Hmm, cannot reproduce here both with i810 and ATI driver (F10 and Rawhide). Dave, do you see anything interesting in that log?
Comment 2 Callum Lerwick 2009-05-03 13:25:27 EDT
Okay, so I upgraded to F11/rawhide. That specific web site no longer seems to crash the server.

However, I still quite often get lockups when modesetting is enabled. It seems to have something to do with opening/closing Firefox windows, but I haven't nailed down anything specific yet. No crash, but the X server seems to lock up, the mouse cursor moves but nothing else responds. Console switching and ctl-alt-bs (which I enabled) doesn't work. I have to ssh in and reboot the machine.

So modesetting is still unusably broken for me.

firefox-3.5-0.20.beta4.fc11.x86_64
kernel-2.6.29.1-111.fc11.x86_64
xorg-x11-drv-ati-6.12.2-7.fc11.x86_64
xulrunner-1.9.1-0.20.beta4.fc11.x86_64

Attaching a current xorg log.
Comment 3 Callum Lerwick 2009-05-03 13:26:53 EDT
Created attachment 342244 [details]
F11 xorg log
Comment 4 Callum Lerwick 2009-05-19 14:37:03 EDT
Well hot damn. It seems OpenGL has started mostly workin with modesetting disabled as of:

kernel-2.6.29.3-140.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
xorg-x11-server-Xorg-1.6.1-11.fc11.x86_64

I just played a few games of Quake 3 at 90fps, with the detail all the way up. However there seems to be a problem if you try and change the OpenGL settings in the game, if you click "apply" the screen goes black and the game locks up. Keyboard doesn't work, not even caps lock, can't switch vconsoles. If I ssh in and kill -9 quake3 the X server seems to recover okay though.

I can even fire up Doom 3, and the menu screens work smoothly and render perfectly, something I haven't seen in a while. But I can't seem to start a game, the screen just goes black and the game locks up. Once again I have to ssh in and kill it. But doom3 doesn't seem to need -9. I see this in the log:

doom.x86: radeon_mipmap_tree.c:114: compute_tex_image_offset: Assertion `lvl->size > 0' failed.

I'll try it with modesetting enabled later.
Comment 5 Callum Lerwick 2009-05-21 00:07:33 EDT
Okay, I'm now running with modesetting *enabled*. Quake 3 works, and doesn't have the lockup problem when changing OpenGl settings. But performance seems to suffer, with high detail settings I get downwards of 15fps in busy scenes. With low detail settings (lightmaping seems to be what really kills it) I get a more acceptable 30-40 fps, but that's a far cry from 90fps...

Starting Doom 3 killed the server right away. The screen went black, and the server locked up. Keyboard totally nonfunctional. I ssh'ed in, doom3.x86 has become a defunct proccess, and Xorg wouldn't even respond to kill -9. I had to reboot the machine.

No lockups so far using Firefox. But I'll have to browse for a while more to be sure.
Comment 6 Bug Zapper 2009-11-18 06:14:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 03:03:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.